########################################################################
#
#	NpExistsTemplate.pl
#
#	y֐z
#	instance				
#	hdlr_if_exists_template	lsev[g݃`FbN^O
#
#	yz
#	Ver	1.00	2010.05.17	vx TY	VK쐬
#
#	Copyright (C) 2010 Shitaro Kubuki. All Rights Reserved
#
package MT::Plugin::NpExistsTemplate;

use strict;
use MT;
use MT::Plugin;
use base qw( MT::Plugin );
use vars qw($PLUGIN_NAME $VERSION);
$PLUGIN_NAME = 'NAWAGATE plugin Gotchatto Template Judge standard';
$VERSION = '1.00';

my $plugin = MT::Plugin::NpExistsTemplate->new({
    id => 'npexiststemplate',
    key => __PACKAGE__,
    name => $PLUGIN_NAME,
    version => $VERSION,
    description => "<__trans phrase='check existence of the template.'>",
    author_name => "<__trans phrase='Shintaro Kubuki'>",
    author_link => 'http://nawagate.com/',
    doc_link => 'http://appstream.jp/exists-template/index.html',
    l10n_class => 'NpExistsTemplate::L10N',
    registry => {
        tags => {
			block => {
				'NpIfExistsTemplate?'	=> \&hdlr_if_exists_template,
			},
        },
    },
});

MT->add_plugin($plugin);

sub instance { $plugin; }

########################################################################
#
#	y֐z
#	hdlr_if_exists_template	lsev[g݃`FbN^O
#
#	y@\z
#	w肳ꂽlsev[g݂ꍇtrueAȂꍇfalseԂ܂B
#
#	fBt@CA
#		blog_id="website_id"
#			uOID
#		type="widgetset"
#			lsev[g̃^Cv
#				index
#					CfbNXEev[g
#				archive
#					tA[JCu
#				category
#					JeS[EA[JCu
#				individual
#					Gg[EA[JCu
#				page
#					EFuy[WEA[JCu
#				custom
#					ev[gEW[
#				widgetset
#					EBWFbgZbg
#				widget
#					EBWFbg
#		name="widget_set_name"
#			lsev[g̖O
#
#	yz
#	Ver	1.00	2010.05.17	vx TY	VK쐬
#
sub hdlr_if_exists_template {
    my ($ctx, $args, $cond) = @_;
	my $blog = $ctx->stash('blog');
	my $blog_id = $args->{'blog_id'} || $blog->id;
	my $type = $args->{'type'};
	my $name = $args->{'name'};
	my $template = MT::Template->load( {blog_id => $blog_id, type=> $type, name => $name,} );
	unless ($template)
	{
		$template = MT::Template->load( {blog_id => 0, type=> $type, name => $name,} );
	}
	return ($template) ? 1 : 0;
}

	1;
